package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 审查细则的审查结果
 * @TableName t_review_details_result
 */
@TableName(value ="t_review_details_result")
@Data
public class ReviewDetailsResult implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 审核是否通过（0未通过、1通过）
     */
    private Integer passed;

    /**
     * 厂商适用于该细则的场景id
     */
    private Long sceneId;

    /**
     * 厂商适用于该细则的场景
     */
    private String scene;

    /**
     * 厂商适用于该细则的场景截图或照片（多个url用","分隔）
     */
    private String imagesurl;

    /**
     * 关联到的细则id
     */
    private Long reviewDetailsId;

    /**
     * 关联的任务id
     */
    private Long taskId;

}